# txpool\_content

1. #### Parameters- This method does not accept any parameters

```json
curl https://Krypc-End Point URL/ \
-X POST \
-H "Content-Type: application/json" \
--data '{"method":"txpool_content","params":[],"id":1,"jsonrpc":"2.0"}'  
```

2. **Returns**

* <mark style="color:blue;">array-</mark>A list of pending and queued transactions, with each having the following fields:
  * <mark style="color:blue;">pending-</mark>An array of transaction objects, with following fields
    * <mark style="color:blue;">address-</mark>The address initiating a transaction
      * <mark style="color:blue;">nonce-</mark>The nonce of the sending address
        * <mark style="color:blue;">blockHash</mark> The hash of the block where this transaction was in, null here&#x20;
        * <mark style="color:blue;">blockNumber</mark> The block number where this transaction was added encoded as a hexadecimal, null here&#x20;
        * <mark style="color:blue;">from</mark> The address of the sender&#x20;
        * <mark style="color:blue;">gas</mark> The total amount of gas units used in the transaction&#x20;
        * <mark style="color:blue;">gasPrice</mark> The total amount in wei the sender is willing to pay for the transaction&#x20;
        * <mark style="color:blue;">maxFeePerGas</mark> The maximum amount of gas willing to be paid for the transaction&#x20;
        * <mark style="color:blue;">maxPriorityFeePerGas</mark> The maximum amount of gas to be included as a tip to the miner&#x20;
        * <mark style="color:blue;">hash</mark> The hash of the transaction&#x20;
        * <mark style="color:blue;">input</mark> The encoded transaction input data&#x20;
        * <mark style="color:blue;">nonce</mark> The number of transactions the sender has sent till now&#x20;
        * <mark style="color:blue;">to</mark> The address of the receiver. null when its a contract creation transaction&#x20;
        * <mark style="color:blue;">transactionIndex</mark> An integer of the transactions index position in the block encoded as a hexadecimal format&#x20;
        * <mark style="color:blue;">value</mark> The value transferred in Wei encoded as a hexadecimal format&#x20;
        * <mark style="color:blue;">type</mark> A number between 0 and 0x7f, for a total of 128 possible transaction types&#x20;
        * <mark style="color:blue;">accesslist</mark> A list of addresses and storage keys that the transaction plans to access, introduced in EIP-2929&#x20;
        * <mark style="color:blue;">chainId</mark> It returns a hexadecimal value in string format which represents an integer of the chain ID&#x20;
        * <mark style="color:blue;">v</mark> The ECDSA recovery id encoded as a hexadecimal format&#x20;
        * <mark style="color:blue;">r</mark> The ECDSA signature r&#x20;
        * <mark style="color:blue;">s</mark> The ECDSA signature s
      *


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/txpool_content.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
